<?php

/**
 * @file
 * Post update functions for CKEditor Bidi.
 */

use Drupal\Core\Config\Entity\ConfigEntityUpdater;
use Drupal\editor\Entity\Editor;

/**
 * Remove the old config from bidi.
 */
function ckeditor_bidi_post_update_remove_old_config(&$sandbox = []): void {
  $config_entity_updater = \Drupal::classResolver(ConfigEntityUpdater::class);
  $config_entity_updater->update($sandbox, 'editor', function (Editor $editor): bool {
    // Only try to update editors using CKEditor 5.
    if ($editor->getEditor() !== 'ckeditor5') {
      return FALSE;
    }
    $settings = $editor->getSettings();

    if (array_key_exists('ckeditor_bidi_ckeditor5', $settings['plugins'])) {
      unset($settings['plugins']['ckeditor_bidi_ckeditor5']);
      $editor->setSettings($settings);
      return TRUE;
    }

    return FALSE;
  });
}
