/**
 * @file This is what CKEditor refers to as a master (glue) plugin. Its role is
 * just to load the “editing” and “UI” components of this Plugin. Those
 * components could be included in this file, but
 *
 * I.e, this file's purpose is to integrate all the separate parts of the plugin
 * before it's made discoverable via index.js.
 */
import { Plugin } from 'ckeditor5/src/core';

import DirectionEditing from './directionediting';
import DirectionUI from './directionui';

/**
 * The text direction plugin.
 */
export default class Direction extends Plugin {
  /**
   * @inheritDoc
   */
  static get requires() {
    return [DirectionEditing, DirectionUI];
  }

  /**
   * @inheritDoc
   */
  static get pluginName() {
    return 'Direction';
  }
}
